## r-cran-webmockr 0.1.0

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more.
Version: 0.1.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr
BugReports: https://github.com/ropensci/webmockr/issues
LazyData: true
Imports: curl, jsonlite, magrittr (>= 1.5), lazyeval (>= 0.2.0), R6 (>=
        2.1.3), urltools (>= 1.6.0)
Suggests: roxygen2 (>= 6.0.1), testthat, crul (>= 0.3.4)
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-05-20 05:58:16 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-20 07:09:44 UTC

=== debian/changelog ===
r-cran-webmockr (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #882705)

 -- Andreas Tille <tille@debian.org>  Sat, 25 Nov 2017 23:34:48 +0100

=== debian/control ===
Source: r-cran-webmockr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-curl,
               r-cran-jsonlite,
               r-cran-magrittr,
               r-cran-lazyeval,
               r-cran-r6,
               r-cran-urltools
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-webmockr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-webmockr.git
Homepage: https://cran.r-project.org/package=webmockr

Package: r-cran-webmockr
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R stubbing and setting expectations on 'HTTP' requests
 Stubbing and setting expectations on 'HTTP' requests.
 Includes tools for stubbing 'HTTP' requests, including expected
 request conditions and response conditions. Match on
 'HTTP' method, query parameters, request body, headers and
 more.

## r-cran-webmockr 0.2.0

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more. Can be used for unit tests or outside of a testing 
    context.
Version: 0.2.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr
BugReports: https://github.com/ropensci/webmockr/issues
LazyData: true
Imports: curl, jsonlite, magrittr (>= 1.5), lazyeval (>= 0.2.0), R6 (>=
        2.1.3), urltools (>= 1.6.0), fauxpas, crul (>= 0.4.0)
Suggests: roxygen2 (>= 6.0.1), testthat
RoxygenNote: 6.0.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, fakeweb, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2018-03-02 06:12:45 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-02 06:20:25 UTC

=== debian/changelog ===
r-cran-webmockr (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * New Build-Depends: r-cran-fauxpas, r-cran-crul

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2018 07:27:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-curl,
@@ -11,8 +11,10 @@
                r-cran-magrittr,
                r-cran-lazyeval,
                r-cran-r6,
-               r-cran-urltools
-Standards-Version: 4.1.1
+               r-cran-urltools,
+               r-cran-fauxpas,
+               r-cran-crul
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-webmockr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 0.2.6

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more. Can be used for unit tests or outside of a testing 
    context.
Version: 0.2.6
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org")
    )
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr (devel)
        https://ropensci.github.io/http-testing-book/ (user manual)
BugReports: https://github.com/ropensci/webmockr/issues
LazyData: true
Imports: curl, jsonlite, magrittr (>= 1.5), lazyeval (>= 0.2.0), R6 (>=
        2.1.3), urltools (>= 1.6.0), fauxpas, crul (>= 0.5.2)
Suggests: roxygen2 (>= 6.0.1), testthat, xml2, vcr
RoxygenNote: 6.0.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, fakeweb, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2018-05-17 18:45:53 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2018-05-17 20:27:54 UTC

=== debian/changelog ===
r-cran-webmockr (0.2.6-3) unstable; urgency=medium

  * debian/tests/control: Depends: r-cran-vcr
    Closes: #900083

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 17:07:13 +0200

r-cran-webmockr (0.2.6-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 01:08:07 +0200

r-cran-webmockr (0.2.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 21:38:50 +0200

r-cran-webmockr (0.2.4-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2018 23:00:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-cran-webmockr
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -14,15 +14,14 @@
                r-cran-urltools,
                r-cran-fauxpas,
                r-cran-crul
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-webmockr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-webmockr.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr
 
 Package: r-cran-webmockr
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-webmockr 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     'HTTP' method, query parameters, request body, headers and
     more. Can be used for unit tests or outside of a testing 
     context.
-Version: 0.2.6
+Version: 0.3.0
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"), email =
     "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
@@ -17,18 +17,19 @@
         https://ropensci.github.io/http-testing-book/ (user manual)
 BugReports: https://github.com/ropensci/webmockr/issues
 LazyData: true
+Encoding: UTF-8
 Imports: curl, jsonlite, magrittr (>= 1.5), lazyeval (>= 0.2.0), R6 (>=
-        2.1.3), urltools (>= 1.6.0), fauxpas, crul (>= 0.5.2)
-Suggests: roxygen2 (>= 6.0.1), testthat, xml2, vcr
-RoxygenNote: 6.0.1
+        2.1.3), urltools (>= 1.6.0), fauxpas, crul (>= 0.7.0)
+Suggests: roxygen2 (>= 6.1.1), testthat, xml2, vcr, httr
+RoxygenNote: 6.1.1
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, fakeweb, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2018-05-17 18:45:53 UTC; sckott
-Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>>),
+Packaged: 2019-01-09 18:04:13 UTC; sckott
+Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-05-17 20:27:54 UTC
+Date/Publication: 2019-01-09 18:20:02 UTC

=== debian/changelog ===
r-cran-webmockr (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 16:32:59 +0100

r-cran-webmockr (0.2.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Nov 2018 11:05:56 +0100

r-cran-webmockr (0.2.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 11:05:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-curl,
@@ -13,8 +13,8 @@
                r-cran-r6,
                r-cran-urltools,
                r-cran-fauxpas,
-               r-cran-crul
-Standards-Version: 4.1.4
+               r-cran-crul (>= 0.7.0)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 0.3.4

=== debian/changelog ===
r-cran-webmockr (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                r-cran-curl,
                r-cran-jsonlite,
                r-cran-magrittr,
-               r-cran-lazyeval,
                r-cran-r6,
                r-cran-urltools,
                r-cran-fauxpas,
-               r-cran-crul (>= 0.7.0)
+               r-cran-crul
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git

## r-cran-webmockr 0.5.0

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more. Can be used for unit tests or outside of a testing 
    context.
Version: 0.5.0
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org")
    )
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr (devel)
        https://books.ropensci.org/http-testing (user manual)
BugReports: https://github.com/ropensci/webmockr/issues
LazyData: true
Encoding: UTF-8
Language: en-US
Imports: curl, jsonlite, magrittr (>= 1.5), R6 (>= 2.1.3), urltools (>=
        1.6.0), fauxpas, crul (>= 0.7.0)
Suggests: roxygen2 (>= 7.0.2), testthat, xml2, vcr, httr
RoxygenNote: 7.0.2
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, fakeweb, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2019-12-04 21:57:25 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-04 22:20:03 UTC

=== debian/changelog ===
r-cran-webmockr (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jan 2020 07:23:55 +0100

r-cran-webmockr (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 13:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-curl,
@@ -13,7 +13,7 @@
                r-cran-urltools,
                r-cran-fauxpas,
                r-cran-crul
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 0.6.2

=== debian/changelog ===
r-cran-webmockr (0.6.2-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 17:33:44 +0200

r-cran-webmockr (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 28 Mar 2020 19:29:39 +0100

r-cran-webmockr (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 08:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -13,10 +14,11 @@
                r-cran-urltools,
                r-cran-fauxpas,
                r-cran-crul
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr
+Rules-Requires-Root: no
 
 Package: r-cran-webmockr
 Architecture: all

## r-cran-webmockr 0.7.4

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more. Can be used for unit tests or outside of a testing 
    context.
Version: 0.7.4
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
    person("Aaron", "Wolen", role = "ctb",
    comment = c(ORCID="0000-0003-2542-2202")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org")
    )
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr (devel)
        https://books.ropensci.org/http-testing/ (user manual)
        https://docs.ropensci.org/webmockr/ (documentation)
BugReports: https://github.com/ropensci/webmockr/issues
LazyData: true
Encoding: UTF-8
Language: en-US
Imports: curl, jsonlite, magrittr (>= 1.5), R6 (>= 2.1.3), urltools (>=
        1.6.0), fauxpas, crul (>= 0.7.0), base64enc
Suggests: testthat, xml2, vcr, httr
RoxygenNote: 7.1.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, fakeweb, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2020-12-09 00:06:17 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2020-12-09 08:30:02 UTC

=== debian/changelog ===
r-cran-webmockr (0.7.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 18:11:08 +0100

r-cran-webmockr (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 16:05:31 +0200

## r-cran-webmockr 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     'HTTP' method, query parameters, request body, headers and
     more. Can be used for unit tests or outside of a testing 
     context.
-Version: 0.7.4
+Version: 0.8.0
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"), email =
     "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
@@ -31,10 +31,10 @@
         mocking, fakeweb, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2020-12-09 00:06:17 UTC; sckott
+Packaged: 2021-03-13 20:27:13 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-09 08:30:02 UTC
+Date/Publication: 2021-03-14 15:50:02 UTC

=== debian/changelog ===
r-cran-webmockr (0.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 09:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-curl,
@@ -13,8 +13,9 @@
                r-cran-r6,
                r-cran-urltools,
                r-cran-fauxpas,
-               r-cran-crul
-Standards-Version: 4.5.0
+               r-cran-crul,
+               r-cran-base64enc
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 0.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     'HTTP' method, query parameters, request body, headers and
     more. Can be used for unit tests or outside of a testing 
     context.
-Version: 0.8.0
+Version: 0.8.2
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"), email =
     "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
@@ -19,22 +19,21 @@
         https://books.ropensci.org/http-testing/ (user manual)
         https://docs.ropensci.org/webmockr/ (documentation)
 BugReports: https://github.com/ropensci/webmockr/issues
-LazyData: true
 Encoding: UTF-8
 Language: en-US
 Imports: curl, jsonlite, magrittr (>= 1.5), R6 (>= 2.1.3), urltools (>=
         1.6.0), fauxpas, crul (>= 0.7.0), base64enc
 Suggests: testthat, xml2, vcr, httr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, fakeweb, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2021-03-13 20:27:13 UTC; sckott
+Packaged: 2022-08-28 19:49:30 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-03-14 15:50:02 UTC
+Date/Publication: 2022-08-28 20:20:02 UTC

=== debian/changelog ===
r-cran-webmockr (0.8.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 09:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-fauxpas,
                r-cran-crul,
                r-cran-base64enc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 0.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
     'HTTP' method, query parameters, request body, headers and
     more. Can be used for unit tests or outside of a testing 
     context.
-Version: 0.8.2
+Version: 0.9.0
 Authors@R: c(
     person("Scott", "Chamberlain", role = c("aut", "cre"), email =
     "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
@@ -24,16 +24,16 @@
 Imports: curl, jsonlite, magrittr (>= 1.5), R6 (>= 2.1.3), urltools (>=
         1.6.0), fauxpas, crul (>= 0.7.0), base64enc
 Suggests: testthat, xml2, vcr, httr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 X-schema.org-applicationCategory: Web
 X-schema.org-keywords: http, https, API, web-services, curl, mock,
         mocking, fakeweb, http-mocking, testing, testing-tools, tdd
 X-schema.org-isPartOf: https://ropensci.org
 NeedsCompilation: no
-Packaged: 2022-08-28 19:49:30 UTC; sckott
+Packaged: 2023-02-28 14:32:51 UTC; sckott
 Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
   Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
   rOpenSci [fnd] (https://ropensci.org)
 Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-08-28 20:20:02 UTC
+Date/Publication: 2023-02-28 15:20:02 UTC

=== debian/changelog ===
r-cran-webmockr (0.9.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 17:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-fauxpas,
                r-cran-crul,
                r-cran-base64enc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

## r-cran-webmockr 1.0.0

=== debian/changelog ===
r-cran-webmockr (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 14:34:54 +0900

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-fauxpas,
                r-cran-crul,
                r-cran-base64enc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-xml2,
        r-cran-vcr,
        r-cran-httr,
        r-cran-httr2
Restrictions: allow-stderr

## r-cran-webmockr 2.0.0

=== DESCRIPTION ===
Package: webmockr
Title: Stubbing and Setting Expectations on 'HTTP' Requests
Description: Stubbing and setting expectations on 'HTTP' requests.
    Includes tools for stubbing 'HTTP' requests, including expected
    request conditions and response conditions. Match on
    'HTTP' method, query parameters, request body, headers and
    more. Can be used for unit tests or outside of a testing 
    context.
Version: 2.0.0
Authors@R: c(
    person("Scott", "Chamberlain", role = c("aut", "cre"), email =
    "myrmecocystus+r@gmail.com", comment = c(ORCID="0000-0003-1444-9135")),
    person("Aaron", "Wolen", role = "ctb",
    comment = c(ORCID="0000-0003-2542-2202")),
    person("rOpenSci", role = "fnd", comment = c(ROR = "019jywm96"))
    )
License: MIT + file LICENSE
URL: https://github.com/ropensci/webmockr,
        https://books.ropensci.org/http-testing/,
        https://docs.ropensci.org/webmockr/
BugReports: https://github.com/ropensci/webmockr/issues
Encoding: UTF-8
Language: en-US
Depends: R(>= 4.1.0)
Imports: curl, jsonlite, magrittr (>= 1.5), R6 (>= 2.1.3), urltools (>=
        1.6.0), fauxpas, crul (>= 0.7.0), rlang, cli
Suggests: testthat, xml2, vcr, httr, httr2, diffobj
RoxygenNote: 7.3.2
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, mock,
        mocking, fakeweb, http-mocking, testing, testing-tools, tdd
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2025-02-11 19:58:43 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>),
  Aaron Wolen [ctb] (<https://orcid.org/0000-0003-2542-2202>),
  rOpenSci [fnd] (019jywm96)
Maintainer: Scott Chamberlain <myrmecocystus+r@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-11 20:30:02 UTC

=== debian/changelog ===
r-cran-webmockr (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 12:57:58 +0900

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
                r-cran-urltools,
                r-cran-fauxpas,
                r-cran-crul,
-               r-cran-base64enc
-Standards-Version: 4.7.0
+               r-cran-rlang,
+               r-cran-cli
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webmockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webmockr.git
 Homepage: https://cran.r-project.org/package=webmockr

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,6 @@
         r-cran-xml2,
         r-cran-vcr,
         r-cran-httr,
-        r-cran-httr2
+        r-cran-httr2,
+        r-cran-diffobj
 Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/webmockr_([-\d.]*)\.tar\.gz
